import { PillHeaderAction, PillHeaderNavItem, PillHeaderProps } from './PillHeader.model';
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        'brand-mark'?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<PillHeaderProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    themeToggle: () => any;
}, string, import('vue').PublicProps, Readonly<PillHeaderProps> & Readonly<{
    onThemeToggle?: (() => any) | undefined;
}>, {
    theme: "light" | "dark" | "system";
    colorMode: import('./PillHeader.model').PillHeaderColorMode;
    actions: PillHeaderAction[];
    navItems: PillHeaderNavItem[];
    currentPath: string;
    brandTo: string;
    brandSuffix: string;
    brandAriaLabel: string;
    currentSection: string;
    menuIcon: import('..').IconNameOrString;
    closeIcon: import('..').IconNameOrString;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, HTMLElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
